ghcpkg05.stderr 1.55 KB
Newer Older
1
There are problems in package testpkg-2.0:
2
3
  Warning: library-dirs: /usr/local/lib/testpkg doesn't exist or isn't a directory
  Warning: include-dirs: /usr/local/include/testpkg doesn't exist or isn't a directory
4
  import-dirs: /usr/local/lib/testpkg doesn't exist or isn't a directory
5
6
7
  import-dirs: c:/Program Files/testpkg is a relative path which makes no sense (as there is nothing for it to be relative to). You can make paths relative to the package database itself by using ${pkgroot}.
  library-dirs: c:/Program Files/testpkg is a relative path which makes no sense (as there is nothing for it to be relative to). You can make paths relative to the package database itself by using ${pkgroot}.
  include-dirs: c:/Program Files/testpkg is a relative path which makes no sense (as there is nothing for it to be relative to). You can make paths relative to the package database itself by using ${pkgroot}.
8
9
10
11
  cannot find any of ["A.hi","A.p_hi","A.dyn_hi"]
  cannot find any of ["B.hi","B.p_hi","B.dyn_hi"]
  cannot find any of ["C/D.hi","C/D.p_hi","C/D.dyn_hi"]
  cannot find any of ["C/E.hi","C/E.p_hi","C/E.dyn_hi"]
12
  cannot find any of ["libtestpkg-2.0-XXX.a","libtestpkg-2.0-XXX.p_a","libtestpkg-2.0-XXX-ghc7.11.20150825.so","libtestpkg-2.0-XXX-ghc7.11.20150825.dylib","testpkg-2.0-XXX-ghc7.11.20150825.dll"] on library path
13
14
15
16
17

The following packages are broken, either because they have a problem
listed above, or because they depend on a broken package.
testpkg-2.0
testpkg-3.0
18
ghc-pkg: unregistering would break the following packages: testpkg-3.0 (use --force to override)